%define aurox_ver 9.3
%define rel 2



%define wrappers_ver	1.0.3

Name:		rox
Version:	2.0.1
Release: %{aurox_ver}.aur.%{rel}
Summary:	A fast and powerful graphical file manager
Group:		User Interface/Desktops
License:	GPL
Icon:		AppIcon.xpm
Packager:	Jos Romildo Malaquias <malaquias@iceb.ufop.br>
URL:		http://rox.sourceforge.net
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
Source1:	http://prdownloads.sourceforge.net/%{name}/Wrappers-%{wrappers_ver}.tgz
Source2:	aurox-choices-0.1.tar.gz
Requires:	shared-mime-info >= 0.8
BuildRequires:	libxml2-devel >= 2.0.0
BuildRequires:	glib2-devel >= 2.0.3
BuildRequires:	gtk2-devel >= 2.0.1
Conflicts:	rox-base
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
ROX-Filer is a fast, powerful, and easy to use graphical file
manager. It has full support for drag-and-drop and application
directories.  The filer can also provide a pinboard (allowing you to pin
up files on your desktop background) and panels.  The emphasis is on
uncluttered directory views; menus and prompts only appear when needed.

The Wrappers package found on the Rox home page is already included.

%{expand:%%define gnomedir %(gnome-config --datadir)}
%define _appsdir	%{_prefix}/apps

%prep
%setup -q -a 1
find . -name .cvsignore -or -type d -name CVS | xargs rm -rf

%build
export CFLAGS="$RPM_OPT_FLAGS"
ROX-Filer/AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_appsdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages

cp -a ROX-Filer $RPM_BUILD_ROOT%{_appsdir}/
rm -rf $RPM_BUILD_ROOT%{_appsdir}/ROX-Filer/src
rm -rf $RPM_BUILD_ROOT%{_appsdir}/ROX-Filer/*/src
cp -a rox.1 $RPM_BUILD_ROOT%{_mandir}/man1
( cd $RPM_BUILD_ROOT%{_mandir}/man1 ; ln -s rox.1 ROX-Filer.1 )

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/rox
#!/bin/sh
exec %{_appsdir}/ROX-Filer/AppRun "\$@"
EOF
chmod a+x $RPM_BUILD_ROOT%{_bindir}/rox

cp -a rox.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -a Choices $RPM_BUILD_ROOT%{_datadir}

# Wrappers
cp -a Wrappers/* $RPM_BUILD_ROOT%{_appsdir}/
rm $RPM_BUILD_ROOT%{_appsdir}/README
cp -a Wrappers/README README.wrappers
# remove temp file
rm -f $RPM_BUILD_ROOT%{_appsdir}/Netscape/.AppRun.swp

# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -a $RPM_SOURCE_DIR/AppIcon.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/rox.xpm

# Install desktop menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=ROX Filer
Comment=ROX Filer
Exec=rox
Icon=rox.xpm
Terminal=false
MultipleArgs=false
Type=Application
Categories=Application;Utility;X-Red-Hat-Base
EOF

#aurox-choices
tar -zxvf %{SOURCE2}
cp -a aurox-choices/* $RPM_BUILD_ROOT%{_datadir}/Choices/MIME-types

#get rid of hat logo in rpm icon
cp $RPM_BUILD_ROOT%{_datadir}/Choices/MIME-icons/application_x-compressed-tar.png $RPM_BUILD_ROOT%{_datadir}/Choices/MIME-icons/application_x-rpm.png


%post
%{_bindir}/update-mime-database %{_datadir}/mime

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README*
%{_appsdir}/*
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/pixmaps/*
%{_datadir}/Choices
%{_datadir}/mime/packages/*
%config %{_datadir}/applications/*

%changelog
* Wed Jan 21 2004 Aurox Team <aurox@aurox.org> 0:2.0.1-9.3.aur.2


* Mon Jul 28 2003 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 2.0.1-1
- New version

* Sun Jun 08 2003 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 2.0.0-1
- New version

* Wed Apr 02 2003 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 1.3.8-1
- New version

* Thu Feb 27 2003 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 1.3.7-1
- New version

* Fri Jan 10 2003 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 1.3.6-1
- New version

* Thu Dec 05 2002 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 1.3.5-1
- New version
- Install menu file in /usr/share/applications, using categories
  "Application;Utility;X-Red-Hat-Base"

* Sun Oct 06 2002 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 1.3.4-1
- New version
- Requires glib2-devel >= 2.0.3

* Fri Sep 06 2002 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 1.3.3-1
- New version
- Added BuildRequires libxml2-devel
- Adapt for new shared-mime-info
- Run update-mime-database at post-installation

* Mon Jun 24 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.2-4
- RPM_BUILD_ROO typo fixed in install section
- conflicts with rox-base instead of obsoletting it

* Mon Jun 24 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.2-3
- added build requirement on libxml2-devel

* Sat Jun 22 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.2-2
- new Wrapers version

* Sat Jun 22 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.2-1
- new version
- requires shared-mime-info
- instead of conflicting with rox-base, obsoletes it
- build requires gtk2-devel
- install included Choices and rox mime info
- remove sources from binary package
- remove Netsape temporary file

* Fri May 31 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.1-1
- new version
- conflicts with rox-base

* Mon May 20 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.0-1
- new version
- added macro %{_appsdir}

* Wed Apr 10 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.2.0-2
- the wrapper applications were missing in the %%files section

* Mon Feb 18 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.2.0-1
- new version

* Fri Feb 15 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.14-1
- new version

* Sat Feb 09 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.13-1
- new version

* Thu Jan 24 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.12-1
- new version

* Wed Jan 09 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.11-1
- new version

* Sat Dec 29 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.10-1
- new version

* Sat Dec 22 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.9-1
- new version
- PDF documentation not generated yet

* Tue Sep 04 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.7-1
- new version
- added Wrappers

* Mon Jun 11 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.5-1
- new version
- conditionaly generates manual in PDF format

* Mon May 07 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.3-1
- new version
- do not compile support for vfs
- generate PDF documentation from its LyX sources and dia diagrams

* Sun Apr 01 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.2-1
- new version
- added applnk file

* Mon Mar 26 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.2-0.1
- CVS version of 2001-03-26
- spec file clean up

* Sat Feb 17 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br>
- Updated for 1.1.1 release.
- Added support for opening virtual file systems based on avfs.

* Wed Dec 27 2000 Thomas Leonard <tal197@users.sourceforge.net>
- Updated for 1.0.0 release.

* Thu Nov 2 2000 Andy Piper <andy.piper@freeuk.com> 
- Updated for 0.1.29 release.

* Tue Sep 19 2000 Andy Piper <andy.piper@freeuk.com> 
- Added man page.

* Mon Sep 18 2000 Andy Piper <andy.piper@freeuk.com> 
- Modified spec file to follow standards from the HOWTO.

* Sun Sep 17 2000 Thomas Leonard <tal197@users.sourceforge.net> 
- First spec file for rox.
